% eda08_02
% factors shown on terniary diagram
% this is eda09_01 w/o the grid lines and w/o annotation of factors

a = [0,0]';
b = [1,0]';
c = [0.5,0.5*sqrt(3)]';

f1 = [ 0.15, 0.25, 0.60]'; f1 = f1/sum(f1); % factor  1
f2 = [ 0.25, 0.45, 0.30]'; f2 = f2/sum(f2); % factor 2

% terniary diagram
figure(1);
clf;
axis( [0, 1, 0, 1] );
axis equal;
set(gca,'XTick',[]); % turn off horizontal axis
set(gca,'YTick',[]); % turn off vertical axis
axis off;
hold on;
% bounding triangle
plot( [a(1), b(1)], [a(2), b(2)], 'k-');
plot( [b(1), c(1)], [b(2), c(2)], 'k-');
plot( [c(1), a(1)], [c(2), a(2)], 'k-');
text( a(1)-0.05, a(2), 'A');
text( b(1)+0.05, b(2), 'B');
text( c(1), c(2)+0.05, 'C');

% plot factors
y = f1(1)*a+f1(2)*b+f1(3)*c;
plot( y(1), y(2), 'k*' );
y = f2(1)*a+f2(2)*b+f2(3)*c;
plot( y(1), y(2), 'k*' );


% create and plot samples lying between f1 and f2
N=10;
for j=[1:N-1]
    c1=j/N;
    c2=1-c1;
    s = c1*f1 + c2*f2;
    y = s(1)*a+s(2)*b+s(3)*c;
    plot( y(1), y(2), 'ko' );
end


